#ifndef ___xworkspace___
#define ___xworkspace___

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <errno.h>
#include <sys/stat.h>
#include <dirent.h>
#include <sys/param.h>
#include <ctype.h>
#include <math.h>
#include <signal.h>
#include <fcntl.h>
#include <sys/types.h>
#include <unistd.h>
#include <sys/wait.h>
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xatom.h>
#include <X11/Xmu/WinUtil.h>
#include <X11/keysym.h>

#define ASKTOCONNECT 0
#define NOTIFICATIONREQ 1
#define SERVERREPLY 2
#define OPENAPP 3
#define OPENFILE 4
#define OPENFILEWITHAPP 5
#define STARTXTERM 6
#define FILEOPS 7

#define MAX_PATH_LEN 512

/* Notifications */
char *XWDidLaunchApplicationNotification = "XWDidLaunchApplicationNotification";
char *XWDidPerformFileOperationNotification = "XWDidPerformFileOperationNotification";
char *XWDidTerminateApplicationNotification = "XWDidTerminateApplicationNotification";
char *XWWillLaunchApplicationNotification = "XWWillLaunchApplicationNotification";
char *XWFileSystemDidChangeNotification = "XWFileSystemDidChangeNotification";
char *XWDidSetFileAttributesNotification = "XWDidSetFileAttributesNotification";

char *XAppMustOpenFileNotification = "XAppMustOpenFileNotification";
		  
/* File Operations */
char *XWCreateFileOperation = "XWCreateFileOperation";
char *XWCreateDirOperation = "XWCreateDirOperation";
char *XWMoveOperation = "XWMoveOperation";
char *XWCopyOperation = "XWCopyOperation";
char *XWLinkOperation = "XWLinkOperation";
char *XWDestroyOperation = "XWDestroyOperation";
char *XWDuplicateOperation = "XWDuplicateOperation";
char *XWRenameOperation = "XWRenameOperation";
char *XWGetFileAttributesOperation = "XWGetFileAttributesOperation";
		  		  
int XWopenXDisplay();
int XError(Display*, XErrorEvent*);
int XWconnectToTheServer(char*, int, long);
int XWverifyConnection();
void XWsendQueryToTheServer(int, char*);

char servername[512];
int serverpid;
long serverwin;

char clientname[512];
int clientpid;
long clientwin;

Display *dpy;	
int scr;
Window rootWin;

char clientdata[256];

#endif
